"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _constructRegExp = _interopRequireDefault(require("./constructRegExp"));

var getRegExp_ = (0, _ramda.useWith)((0, _ramda.flip)(_constructRegExp.default)('gi'), [(0, _ramda.flip)(_ramda.concat)('$')]);
/**
 * Testing string if ends with some suffix.
 *
 * @func
 * @category String
 *
 * @param  {string} suffix
 * @param  {string} x
 * @return {boolean}          True if `x` ends with `suffix`
 *
 * @example
 *
 *        R_.endsWithSuffix('o', 'hello')		// true
 *        R_.endsWithSuffix('ello', 'hello')	// true
 *        R_.endsWithSuffix('y', 'good bye')	// false
 *
 * @sig a -> b -> Boolean
 */

var endsWithSuffix = (0, _ramda.useWith)(_ramda.test, [getRegExp_, _ramda.identity]);
var _default = endsWithSuffix;
exports.default = _default;