"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

/**
 * Always returns null.
 *
 * @func
 * @category Object
 *
 * @example
 *
 *        R_.mapKeysAndValues(([a, b]) => [b, a], { foo: "bar", baz: "boo" })
 *        // { bar: "foo", boo: "baz" }
 *
 * @sig ([a] -> [b]) -> Object -> Object
 */
var mapKeysAndValues = (0, _ramda.useWith)((0, _ramda.compose)(_ramda.fromPairs, _ramda.map), [_ramda.identity, _ramda.toPairs]);
var _default = mapKeysAndValues;
exports.default = _default;