"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _nonAlphaNumericRegExp = require("./internal/nonAlphaNumericRegExp");

var _primitives = require("./internal/primitives");

/**
 * Splits string into list. Delimiter is every sequence of non-alphanumerical values.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.splitByNonAlphaNumeric('Hello    world/1'); // ['Hello', 'world', '1']
 *
 * @sig String -> [String]
 *
 */
var splitByNonAlphaNumeric = (0, _ramda.o)((0, _ramda.reject)((0, _ramda.equals)(_primitives.emptyString)), (0, _ramda.split)(_nonAlphaNumericRegExp.nonAlphaNumericRegExp));
var _default = splitByNonAlphaNumeric;
exports.default = _default;