"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _constructRegExp = _interopRequireDefault(require("./constructRegExp"));

var getRegExp_ = (0, _ramda.useWith)((0, _ramda.flip)(_constructRegExp.default)('gi'), [(0, _ramda.concat)('^')]);
/**
 * Testing string if starts with some prefix.
 *
 * @func
 * @category String
 *
 * @param  {string} prefix
 * @param  {string} x
 * @return {boolean} True if `x` starts with `prefix`
 *
 * @example
 *
 *        R_.startsWithPrefix('h', 'hello')	// true
 *        R_.startsWithPrefix('hell', 'hello')	// true
 *        R_.startsWithPrefix('h', 'good bye')	// false
 *
 * @sig a -> b -> Boolean
 */

var startsWithPrefix = (0, _ramda.useWith)(_ramda.test, [getRegExp_, _ramda.identity]);
var _default = startsWithPrefix;
exports.default = _default;