"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _toPascalCase = _interopRequireDefault(require("./toPascalCase"));

var _toLowerFirst = _interopRequireDefault(require("./toLowerFirst"));

/**
 * Converts string into camelCase.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toCamelCase('hello-world')		// 'helloWorld'
 *        R_.toCamelCase('hello- world')		// 'helloWorld'
 *        R_.toCamelCase('  hello-/ world/ ')	// 'helloWorld'
 *
 * @sig String -> String
 *
 */
var toCamelCase = (0, _ramda.o)(_toLowerFirst.default, _toPascalCase.default);
var _default = toCamelCase;
exports.default = _default;