"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _splitByNonAlphaNumeric = _interopRequireDefault(require("./splitByNonAlphaNumeric"));

var _joinWithDot = _interopRequireDefault(require("./joinWithDot"));

/**
 * Converts string into dot.case.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toDotCase('hello-world')		// 'hello.world'
 *        R_.toDotCase('hello/*? world')		// 'hello.world'
 *        R_.toDotCase('  hello -/ world/ ')	// 'hello.world'
 *
 * @sig String -> String
 */
var toDotCase = (0, _ramda.o)(_joinWithDot.default, (0, _ramda.o)((0, _ramda.map)(_ramda.toLower), _splitByNonAlphaNumeric.default));
var _default = toDotCase;
exports.default = _default;