"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _splitByNonAlphaNumeric = _interopRequireDefault(require("./splitByNonAlphaNumeric"));

var _toUpperFirst = _interopRequireDefault(require("./toUpperFirst"));

var _listToString = _interopRequireDefault(require("./listToString"));

/**
 * Converts string into PascalCase.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toPascalCase('hello-world')		// 'HelloWorld'
 *        R_.toPascalCase('hello- world')		// 'HelloWorld'
 *        R_.toPascalCase('  hello-/ world/ ')	// 'HelloWorld'
 *
 * @sig String -> String
 */
var toPascalCase = (0, _ramda.o)(_listToString.default, (0, _ramda.o)((0, _ramda.map)(_toUpperFirst.default), _splitByNonAlphaNumeric.default));
var _default = toPascalCase;
exports.default = _default;