"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _splitByNonAlphaNumeric = _interopRequireDefault(require("./splitByNonAlphaNumeric"));

var _joinWithUnderscore = _interopRequireDefault(require("./joinWithUnderscore"));

/**
 * Converts string into SCREAMING_SNAKE_CASE.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toScreamingSnakeCase('hello-world')		// 'HELLO_WORLD'
 *        R_.toScreamingSnakeCase('hello- world')		// 'HELLO_WORLD'
 *        R_.toScreamingSnakeCase('  hello-/ world/ ')	// 'HELLO_WORLD'
 *
 * @sig String -> String
 */
var toScreamingSnakeCase = (0, _ramda.o)(_joinWithUnderscore.default, (0, _ramda.o)((0, _ramda.map)(_ramda.toUpper), _splitByNonAlphaNumeric.default));
var _default = toScreamingSnakeCase;
exports.default = _default;