"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _splitByNonAlphaNumeric = _interopRequireDefault(require("./splitByNonAlphaNumeric"));

var _joinWithUnderscore = _interopRequireDefault(require("./joinWithUnderscore"));

/**
 * Converts string into snake_case.
 *
 * @func
 * @category String
 *
 * @example
 *
 *        R_.toSnakeCase('hello-world')		// 'hello_world'
 *        R_.toSnakeCase('hello- world')		// 'hello_world'
 *        R_.toSnakeCase('  hello-/ world/ ')	// 'hello_world'
 *
 * @sig String -> String
 */
var toSnakeCase = (0, _ramda.o)(_joinWithUnderscore.default, (0, _ramda.o)((0, _ramda.map)(_ramda.toLower), _splitByNonAlphaNumeric.default));
var _default = toSnakeCase;
exports.default = _default;