"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = require("ramda");

var _composeC = _interopRequireDefault(require("./composeC"));

/**
 * Returns unique values previously returned by mapping.
 *
 * @func
 * @category List
 *
 * @param {Function} fn mapping function
 * @param {array} xs Data
 *
 * @return {array} Unique array of values
 *
 * @example
 *
 *		R_.uniqMap(R_.equalsLength(5))([
 *			"hello",
 *			"hello",
 *			"world"
 *		]) // ["hello", "world"]
 *
 * @sig (a -> a) -> [a] -> [a]
 */
var uniqMap = (0, _composeC.default)(_ramda.uniq, _ramda.map);
var _default = uniqMap;
exports.default = _default;